from django.core.management.base import BaseCommand
from django.contrib.auth import get_user_model
import sys

class Command(BaseCommand):
    help = 'Give Admin rights to existing user'

    def add_arguments(self, parser):
        parser.add_argument('username', type=str)

    def handle(self, *args, **options):
        user = get_user_model().objects.get(username=options['username'])
        user.is_staff = True
        user.save()

        print("{} is now admin.".format(user.username))
